org.keycloak.services

## Class Urls

- java.lang.Object
- - org.keycloak.services.Urls

-     public class Urls
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Urls()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URI` | `accountApplicationsPage(URI baseUri, String realmName)`
    `static javax.ws.rs.core.UriBuilder` | `accountBase(URI baseUri)`
    `static URI` | `accountFederatedIdentityPage(URI baseUri, String realmName)`
    `static URI` | `accountFederatedIdentityUpdate(URI baseUri, String realmName)`
    `static URI` | `accountLogout(URI baseUri, URI redirectUri, String realmName)`
    `static URI` | `accountLogPage(URI baseUri, String realmName)`
    `static URI` | `accountPage(URI baseUri, String realmName)`
    `static javax.ws.rs.core.UriBuilder` | `accountPageBuilder(URI baseUri)`
    `static URI` | `accountPasswordPage(URI baseUri, String realmName)`
    `static URI` | `accountResourceDetailPage(String resourceId, URI baseUri, String realmName)`
    `static URI` | `accountResourceGrant(String resourceId, URI baseUri, String realmName)`
    `static URI` | `accountResourceShare(String resourceId, URI baseUri, String realmName)`
    `static URI` | `accountResourcesPage(URI baseUri, String realmName)`
    `static URI` | `accountSessionsPage(URI baseUri, String realmName)`
    `static URI` | `accountTotpPage(URI baseUri, String realmName)`
    `static javax.ws.rs.core.UriBuilder` | `actionTokenBuilder(URI baseUri, String tokenString, String clientId, String tabId)`
    `static URI` | `adminConsoleRoot(URI baseUri, String realmName)`
    `static URI` | `firstBrokerLoginProcessor(URI baseUri, String realmName)`
    `static URI` | `identityProviderAfterFirstBrokerLogin(URI baseUri, String realmName, String accessCode, String clientId, String tabId)`
    `static URI` | `identityProviderAfterPostBrokerLogin(URI baseUri, String realmName, String accessCode, String clientId, String tabId)`
    `static URI` | `identityProviderAuthnRequest(URI baseURI, String providerId, String realmName)`
    `static URI` | `identityProviderAuthnRequest(URI baseUri, String providerId, String realmName, String accessCode, String clientId, String tabId)`
    `static URI` | `identityProviderAuthnResponse(URI baseUri, String providerId, String realmName)`
    `static URI` | `identityProviderLinkRequest(URI baseUri, String providerId, String realmName)`
    `static URI` | `identityProviderRetrieveToken(URI baseUri, String providerId, String realmName)`
    `static String` | `localeCookiePath(URI baseUri, String realmName)`
    `static URI` | `loginActionEmailVerification(URI baseUri, String realmName)`
    `static javax.ws.rs.core.UriBuilder` | `loginActionEmailVerificationBuilder(URI baseUri)`
    `static javax.ws.rs.core.UriBuilder` | `loginActionsBase(URI baseUri)`
    `static URI` | `loginActionUpdatePassword(URI baseUri, String realmName)`
    `static URI` | `loginActionUpdateProfile(URI baseUri, String realmName)`
    `static URI` | `loginActionUpdateTotp(URI baseUri, String realmName)`
    `static URI` | `loginResetCredentials(URI baseUri, String realmName)`
    `static javax.ws.rs.core.UriBuilder` | `loginResetCredentialsBuilder(URI baseUri)`
    `static URI` | `loginUsernameReminder(URI baseUri, String realmName)`
    `static javax.ws.rs.core.UriBuilder` | `loginUsernameReminderBuilder(URI baseUri)`
    `static javax.ws.rs.core.UriBuilder` | `realmBase(URI baseUri)`
    `static URI` | `realmInstalledAppUrnCallback(URI baseUri, String realmName)`
    `static String` | `realmIssuer(URI baseUri, String realmName)`
    `static URI` | `realmLoginPage(URI baseUri, String realmName)`
    `static URI` | `realmLoginRestartPage(URI baseUri, String realmId)`
    `static URI` | `realmOauthAction(URI baseUri, String realmName)`
    `static URI` | `realmRegisterAction(URI baseUri, String realmName)`
    `static URI` | `realmRegisterPage(URI baseUri, String realmName)`
    `static javax.ws.rs.core.UriBuilder` | `requiredActionBase(URI baseUri)`
    `static URI` | `samlRequestEndpoint(URI baseUri, String realmName)`
    `static URI` | `themeRoot(URI baseUri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Urls

          public Urls()

  - ### Method Detail

    - #### adminConsoleRoot

          public static URI adminConsoleRoot(URI baseUri,
                                             String realmName)

    - #### accountApplicationsPage

          public static URI accountApplicationsPage(URI baseUri,
                                                    String realmName)

    - #### accountBase

          public static javax.ws.rs.core.UriBuilder accountBase(URI baseUri)

    - #### accountPage

          public static URI accountPage(URI baseUri,
                                        String realmName)

    - #### accountPageBuilder

          public static javax.ws.rs.core.UriBuilder accountPageBuilder(URI baseUri)

    - #### accountPasswordPage

          public static URI accountPasswordPage(URI baseUri,
                                                String realmName)

    - #### accountFederatedIdentityPage

          public static URI accountFederatedIdentityPage(URI baseUri,
                                                         String realmName)

    - #### accountFederatedIdentityUpdate

          public static URI accountFederatedIdentityUpdate(URI baseUri,
                                                           String realmName)

    - #### identityProviderAuthnResponse

          public static URI identityProviderAuthnResponse(URI baseUri,
                                                          String providerId,
                                                          String realmName)

    - #### identityProviderAuthnRequest

          public static URI identityProviderAuthnRequest(URI baseUri,
                                                         String providerId,
                                                         String realmName,
                                                         String accessCode,
                                                         String clientId,
                                                         String tabId)

    - #### identityProviderLinkRequest

          public static URI identityProviderLinkRequest(URI baseUri,
                                                        String providerId,
                                                        String realmName)

    - #### identityProviderRetrieveToken

          public static URI identityProviderRetrieveToken(URI baseUri,
                                                          String providerId,
                                                          String realmName)

    - #### identityProviderAuthnRequest

          public static URI identityProviderAuthnRequest(URI baseURI,
                                                         String providerId,
                                                         String realmName)

    - #### identityProviderAfterFirstBrokerLogin

          public static URI identityProviderAfterFirstBrokerLogin(URI baseUri,
                                                                  String realmName,
                                                                  String accessCode,
                                                                  String clientId,
                                                                  String tabId)

    - #### identityProviderAfterPostBrokerLogin

          public static URI identityProviderAfterPostBrokerLogin(URI baseUri,
                                                                 String realmName,
                                                                 String accessCode,
                                                                 String clientId,
                                                                 String tabId)

    - #### accountTotpPage

          public static URI accountTotpPage(URI baseUri,
                                            String realmName)

    - #### accountLogPage

          public static URI accountLogPage(URI baseUri,
                                           String realmName)

    - #### accountSessionsPage

          public static URI accountSessionsPage(URI baseUri,
                                                String realmName)

    - #### accountLogout

          public static URI accountLogout(URI baseUri,
                                          URI redirectUri,
                                          String realmName)

    - #### accountResourcesPage

          public static URI accountResourcesPage(URI baseUri,
                                                 String realmName)

    - #### accountResourceDetailPage

          public static URI accountResourceDetailPage(String resourceId,
                                                      URI baseUri,
                                                      String realmName)

    - #### accountResourceGrant

          public static URI accountResourceGrant(String resourceId,
                                                 URI baseUri,
                                                 String realmName)

    - #### accountResourceShare

          public static URI accountResourceShare(String resourceId,
                                                 URI baseUri,
                                                 String realmName)

    - #### loginActionUpdatePassword

          public static URI loginActionUpdatePassword(URI baseUri,
                                                      String realmName)

    - #### loginActionUpdateTotp

          public static URI loginActionUpdateTotp(URI baseUri,
                                                  String realmName)

    - #### requiredActionBase

          public static javax.ws.rs.core.UriBuilder requiredActionBase(URI baseUri)

    - #### loginActionUpdateProfile

          public static URI loginActionUpdateProfile(URI baseUri,
                                                     String realmName)

    - #### loginActionEmailVerification

          public static URI loginActionEmailVerification(URI baseUri,
                                                         String realmName)

    - #### loginActionEmailVerificationBuilder

          public static javax.ws.rs.core.UriBuilder loginActionEmailVerificationBuilder(URI baseUri)

    - #### loginResetCredentials

          public static URI loginResetCredentials(URI baseUri,
                                                  String realmName)

    - #### actionTokenBuilder

          public static javax.ws.rs.core.UriBuilder actionTokenBuilder(URI baseUri,
                                                                       String tokenString,
                                                                       String clientId,
                                                                       String tabId)

    - #### loginResetCredentialsBuilder

          public static javax.ws.rs.core.UriBuilder loginResetCredentialsBuilder(URI baseUri)

    - #### loginUsernameReminder

          public static URI loginUsernameReminder(URI baseUri,
                                                  String realmName)

    - #### loginUsernameReminderBuilder

          public static javax.ws.rs.core.UriBuilder loginUsernameReminderBuilder(URI baseUri)

    - #### realmIssuer

          public static String realmIssuer(URI baseUri,
                                           String realmName)

    - #### realmBase

          public static javax.ws.rs.core.UriBuilder realmBase(URI baseUri)

    - #### realmLoginPage

          public static URI realmLoginPage(URI baseUri,
                                           String realmName)

    - #### realmLoginRestartPage

          public static URI realmLoginRestartPage(URI baseUri,
                                                  String realmId)

    - #### realmRegisterAction

          public static URI realmRegisterAction(URI baseUri,
                                                String realmName)

    - #### realmRegisterPage

          public static URI realmRegisterPage(URI baseUri,
                                              String realmName)

    - #### realmInstalledAppUrnCallback

          public static URI realmInstalledAppUrnCallback(URI baseUri,
                                                         String realmName)

    - #### realmOauthAction

          public static URI realmOauthAction(URI baseUri,
                                             String realmName)

    - #### firstBrokerLoginProcessor

          public static URI firstBrokerLoginProcessor(URI baseUri,
                                                      String realmName)

    - #### localeCookiePath

          public static String localeCookiePath(URI baseUri,
                                                String realmName)

    - #### themeRoot

          public static URI themeRoot(URI baseUri)

    - #### loginActionsBase

          public static javax.ws.rs.core.UriBuilder loginActionsBase(URI baseUri)

    - #### samlRequestEndpoint

          public static URI samlRequestEndpoint(URI baseUri,
                                                String realmName)

Copyright © 2021 JBoss by Red Hat. All rights reserved.